EDIT - bug #6982

OriginalSource idNamespace + idInSource separator must be configurable
09/25/2017 12:39 PM - Andreas Mdller
Description

der Slash in [Fig./1] steht nicht in den Daten, wo kommt der her?

Fig .1 ist in den Daten als "idInSource": "1", mit "idNamespace": "Fig." eingegeben. Bisher wird die idInSource immer mit einem
Slash an den Namespace angehangt. Das ist offensichlich keine allgemein funktionierende Herangehensweise.

http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/fb52d954-84b-450a-a57¢-308f8a35a223

In the meanwhile we have changed the default separator from slash to space (#6815). But still configurability might be an issue.

Related issues:
Copied from EDIT - feature request #6815: OriginalSource idNamespace + idInS... Closed

History

#1 - 09/25/2017 12:39 PM - Andreas Miiller

- Copied from feature request #6815: OriginalSource idNamespace + idInSource default separator should be whitespace added
#2 - 09/25/2017 12:43 PM - Andreas Miiller
Andreas Kohlbecker wrote:

Regarding configurability: A simple default character would not be suffcient. Woul'nt we rather need a rule based approach? A cdm database
may contains quite different identifiers types which need different formatting.

Two basic rules:
1.if idNamespace is a URI the separator is /'

2. otherwise itis "'

In general | agree, if this is easy enough to implement. Until now we did not have many namespaces being URIs. Implementing a simple character
might be a first step and if we get usecases where this is not enough we might implement rules.

#3 - 09/25/2017 12:44 PM - Andreas Miiller
- Tags deleted (salvador)

#4 - 10/11/2017 12:02 AM - Andreas Miiller
Andreas Muller wrote:
Andreas Kohlbecker wrote:

Regarding configurability: A simple default character would not be suffcient. Woul'nt we rather need a rule based approach? A cdm
database may contains quite different identifiers types which need different formatting.

Two basic rules:

1.if idNamespace is a URI the separator is '/'
2.otherwise itis "'
http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/fb52d954-f84b-450a-a57c-308f8a35a223
https://dev.e-taxonomy.eu/redmine/issues/6815

In general | agree, if this is easy enough to implement. Until now we did not have many namespaces being URIs. Implementing a simple
character might be a first step and if we get usecases where this is not enough we might implement rules.

Maybe the rule could simply be that namespaces ending on "/" should not have a space while others need a space. Maybe there are also other
characters that do not require a space.

#5 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:12 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:12 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/15/2018 03:00 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#9 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#10 - 06/28/2018 12:19 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#11 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#12 - 09/06/2018 11:15 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#13 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#14 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#15 - 02/22/2019 05:27 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets
